;*********************************************************** 
;* BL-17A                                                  *
;* Dez.2006
;* http://home.versanet.de/~b-konze/                       *
;*********************************************************** 

#define Typ "bl-17a"

; activate Motor brake 

.equ MOT_BRAKE      = 0

;Select Brake Power
;	1 = min Brake
;	2 = medium Brake
;  	3 = hard Brake

.equ BrakeSelect    = 2

.equ CALIBRATE			= 1      
.equ OSCAL_VALUE		= 0x01ff 	; eeprom position

.equ FORCE_LIPO 	= 1			; 1=Lipo und 0=NC wenn keine Buecke
.equ ActiveFreeRun	= 0

;**** **** **** **** ****
; PORT  definitions
;**** **** **** **** ****

;*********************
; PORT D 
;*********************  
;.equ			= 7	;
.equ	c_comp		= 6	;i common comparator input (AIN0)
.equ    AnFET           = 5     ;o
.equ	ApFET		= 4	;o
;.equ			= 3	;
.equ	rcp_in		= 2	;i r/c pulse input
;.equ			= 1	;
;.equ                   = 0     ;


.equ	INIT_PD		= 0
.equ    DIR_PD          = (1<<ApFET)+(1<<AnFET)
.equ	BRAKE_PD	= (1<<AnFET)


;*********************
; ADC definitions
;*********************

.equ    mux_c           = 0     ; ADC0
.equ    mux_a           = 6     ; ADC6
.equ    mux_b           = 7     ; ADC7
.equ    ACCU_MUX        = 2     ; ADC2 voltage control input 

;*********************
; PORT C definitions *
;*********************
.equ    AnRef           = 1
.equ    CpFET           = 3
.equ    BnFET           = 4
.equ    BpFET           = 5  


.equ    INIT_PC         = (1<<AnRef)
.equ    DIR_PC          = (1<<AnRef)+(1<<CpFET)+(1<<BnFET)+(1<<BpFET)
.equ    BRAKE_PC        = (1<<BnFET)


;*********************
; PORT B definitions *
;*********************
;.equ		= 7	
;.equ		= 6	
;.equ		= 5    	(sck stk200 interface) 
;.equ		= 4	(miso stk200 interface)
;.equ		= 3	(mosi stk200 interface) 
;.equ		= 2	
;.equ		= 1	
.equ	CnFET	= 0

.equ	INIT_PB		= 0
.equ    DIR_PB          = (1<<CnFET)
.equ    BRAKE_PB        = (1<<CnFET)


;*********************
; FET Control        *
;*********************
#define ApFET_on        sbi     PORTD,4
#define ApFET_off       cbi     PORTD,4
#define AnFET_on        sbi     PORTD,5
#define AnFET_off       cbi     PORTD,5

#define BpFET_on        sbi     PORTC,5
#define BpFET_off       cbi     PORTC,5
#define BnFET_on        sbi     PORTC,4
#define BnFET_off       cbi     PORTC,4

#define CpFET_on        sbi     PORTC,3
#define CpFET_off       cbi     PORTC,3
#define CnFET_on        sbi     PORTB,0
#define CnFET_off       cbi     PORTB,0
